### Index

- ActionReducerMap (packages/.../ngrx_kit.ts)
- AnyFn (packages/.../ngrx_kit.ts)
- ComparatorFn (packages/.../ngrx_kit.ts)
- CoreAppActions (packages/.../app.actions.ts)
- CoreI18nActions (packages/.../i18n.actions.ts)
- CoreLocaleActions (packages/.../locale.actions.ts)
- CoreNotificationsActions (packages/.../notifications.actions.ts)
- CoreUserActions (packages/.../user.actions.ts)
- DefaultProjectorFn (packages/.../ngrx_kit.ts)
- Handler (packages/.../store.service.ts)
- LocaleMapper (packages/.../locale.service.ts)
- MemoizedProjection (packages/.../ngrx_kit.ts)
- MemoizeFn (packages/.../ngrx_kit.ts)
- Selector (packages/.../ngrx_kit.ts)
- SelectorFactoryConfig (packages/.../ngrx_kit.ts)
- SelectorWithProps (packages/.../ngrx_kit.ts)

### packages/core/src/lib/services/store/ngrx_kit.ts

ActionReducerMap
``unknown``

AnyFn
``function``

ComparatorFn
``function``

DefaultProjectorFn
``function``

MemoizedProjection
``literal type``

MemoizeFn
``function``

Selector
``function``

SelectorFactoryConfig
``literal type``

SelectorWithProps
``function``

### packages/core/src/lib/services/store/actions/app.actions.ts

CoreAppActions
it will be removed in the next major version
``InitStoreAction | UpdateAppVersionAction | UpdateAppConnectionAction | AddAppLoadedConfigModulesAction | UpdateAppStatusAction | UpdateCurrentModuleAction | ActivatedRouteAction | AddApiQueueItemAction | RemoveApiQueueItemAction``

### packages/core/src/lib/services/store/actions/i18n.actions.ts

CoreI18nActions
it will be removed in the next major version
``UpdateI18nStateAction``

### packages/core/src/lib/services/store/actions/locale.actions.ts

CoreLocaleActions
it will be removed in the next major version
``UpdateLocaleStateAction``

### packages/core/src/lib/services/store/actions/notifications.actions.ts

CoreNotificationsActions
it will be removed in the next major version
``UpdateNotificationsListAction``

### packages/core/src/lib/services/store/actions/user.actions.ts

CoreUserActions
it will be removed in the next major version
``UpdateUserDetailsAction | UpdateUserPreferencesAction | UpdateUserRightsAction | UpdateUserDashboardAction``

### packages/core/src/lib/services/store/store.service.ts

Handler
``function``

### packages/core/src/lib/services/locale/locale.service.ts

LocaleMapper
``function``

# results matching ""

# No results matching ""